/*
 * get_password.c
 *
 * $Id: get_password.c,v 1.1.1.1 2004/03/17 16:55:25 s-nomad Exp $
 *
 * $Log: get_password.c,v $
 * Revision 1.1.1.1  2004/03/17 16:55:25  s-nomad
 * Initial import for ncovert2-1.1
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ncovert.h"

char* const get_password()
{
	char* pass1 = NULL;
	char* pass2 = NULL;
	/* ask for password twice */
	int i=0;
	while(1)
	{
		if(i>2)
		{
			fprintf(stderr,"The passphrase must be entered in correctly.\n");
			exit(-1);
		}
		pass1 = read_pass("Enter shared passphrase: ");
		if(pass1 == NULL) exit(-1);
		pass2 = read_pass("Re-enter shared passphrase: ");
		if(pass2 == NULL) exit(-1);
		if(strcmp(pass1,pass2))
		{
			fprintf(stderr,"Passphrases do not match!\n");
			i++;
			continue;
		}
		/* erase one of the plaintext password instances from memory
		 * as soon as we check the two instances against each other
		 */
		guaranteed_memset(pass2,0,strlen(pass1));
		break;
	}
	return pass1;
}
