/*
 * ncovert.h -- header file
 *
 * $Id: ncovert.h,v 1.1.1.1 2004/03/17 16:55:29 s-nomad Exp $
 *
 * $Log: ncovert.h,v $
 * Revision 1.1.1.1  2004/03/17 16:55:29  s-nomad
 * Initial import for ncovert2-1.1
 *
 *
 */
#ifndef _ncovert_h_
#define _ncovert_h_
typedef unsigned char BYTE;

typedef union blocks
{
	BYTE byte_chunk[4];
	unsigned int long_chunk;
} blocks;

typedef union KEY
{
	BYTE c[4];
	unsigned int l;
} KEY;

typedef union SI
{
	BYTE c[2];
	unsigned short w;
} SI;

BYTE hashPassword[320];
BYTE hashX[320];
KEY key;
SI ipid;
SI s_port;
unsigned short dest_port[65535];
unsigned long F;

void init_ncovert2(int);
void init_server(unsigned short);
void prepare_data(SI, blocks, int, unsigned long);
void determine_next_source_port(SI, int j);
unsigned short in_cksum(unsigned short *,int);
void *guaranteed_memset(void *,int,size_t);
void send_packets(unsigned int,unsigned int,char *,int);
void recv_packets(unsigned int,unsigned int,char *,int);
unsigned int host_convert(char *);
void caughtsig(int);
unsigned int rotate_long(unsigned int block, int len);
char* const get_password();
char* read_pass(char* prompt);

int timeout;
int verbose;
int rand_saddr;
#endif
